#include<iostream>
using namespace std;

int main(){
   int n, l; cin>>n>>l;
   int h, br=0;
   for(int i=0; i<n; i++){
      cin>>h;
      if(h<=l)
         break;
      br++;
   }
   if(br==n)
      cout<<-1;
   else
      cout<<br+1;
   return 0;
}